Bug 1292234 - Wayland and open-vm-tools fail to set up screen resolution
Wayland and open-vm-tools fail to set up screen resolution
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: open-vm-tools (Show other bugs)
24
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ravindra Kumar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-16 14:32 EST by M_M
Modified: 2017-04-03 18:54 EDT (History)
3 users (show)

See Also:
Fixed In Version: open-vm-tools-10.1.5-4.fc26 open-vm-tools-10.1.5-4.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-03 12:10:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description M_M 2015-12-16 14:32:02 EST
Description of problem:

Seems that open-vm-tools are not ready for Wayland. Resolution doesn't fit within the VM window, mouse pointer shift is noticed (drawn pointer is lower than actual).


Version-Release number of selected component (if applicable):
Installed Packages
open-vm-tools.x86_64                        10.0.0-7.fc23                @fedora
open-vm-tools-desktop.x86_64                10.0.0-7.fc23                @fedora


How reproducible:


Steps to Reproduce:
1.Login using Wayland option at login screen.
2.
3.

Actual results:


Expected results:
As Gnome

Additional info:
Comment 1 Fedora End Of Life 2016-11-24 09:17:03 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Ravindra Kumar 2016-11-29 20:38:20 EST
Its applicable to F24 too.
Comment 3 Fedora Update System 2017-04-02 04:43:00 EDT
open-vm-tools-10.1.5-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0062147a2c
Comment 4 Fedora Update System 2017-04-02 04:45:44 EDT
open-vm-tools-10.1.5-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-25e93876db
Comment 5 Fedora Update System 2017-04-02 22:22:32 EDT
open-vm-tools-10.1.5-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-25e93876db
Comment 6 Fedora Update System 2017-04-02 23:54:07 EDT
open-vm-tools-10.1.5-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0062147a2c
Comment 7 Fedora Update System 2017-04-03 12:10:03 EDT
open-vm-tools-10.1.5-4.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2017-04-03 18:54:21 EDT
open-vm-tools-10.1.5-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.